/****************************************************************************************************

		IMFHtmlPart.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Arnaud
		Date:	3/7/2002

****************************************************************************************************/

#ifndef __IMFHtmlPart__
#define __IMFHtmlPart__

#if CP_PRAGMA_ONCE
#pragma once
#endif


#include "MCCompObj.h"


struct IMFPart;
class TMCString;

MCDEFINE_GUID(IID_IMFHtmlPart, 0x77c607f5, 0x6d32, 0x443f, 0x9f, 0xef, 0x45, 0xd4, 0xb3, 0xef, 0xcf, 0xfb);


struct IMFHtmlPart : public IMCUnknown
{
	// -Returns: the interface to IMFPart (always supported by IMFHtmlPart)
	virtual IMFPart*	MCCOMAPI GetThisPart() = 0;

	virtual void		MCCOMAPI DisplayUrl(const TMCString& inUrl) = 0;
};








#endif
